/*
 Navicat Premium Data Transfer

 Source Server         : 8.140.240.182
 Source Server Type    : MySQL
 Source Server Version : 50743
 Source Host           : 8.140.240.182:18080
 Source Schema         : seat-tool

 Target Server Type    : MySQL
 Target Server Version : 50743
 File Encoding         : 65001

 Date: 05/02/2024 11:09:41
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for ship_test_params
-- ----------------------------
DROP TABLE IF EXISTS `ship_test_params`;
CREATE TABLE `ship_test_params`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `remark` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '备注',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名称',
  `sort` int(255) NULL DEFAULT NULL COMMENT '排序',
  `del_flag` int(255) NULL DEFAULT 0 COMMENT '删除状态(0-正常，1-已删除)',
  `create_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '更新时间',
  `source_id` int(11) NULL DEFAULT NULL COMMENT '数据源ID',
  `default_cql` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '默认cql',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `source_id`(`source_id`) USING BTREE,
  CONSTRAINT `ship_test_params_ibfk_1` FOREIGN KEY (`source_id`) REFERENCES `ship_test_source` (`id`) ON DELETE SET NULL ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 32 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '船舶轨迹测试数据源-参数配置' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for ship_test_params_dict
-- ----------------------------
DROP TABLE IF EXISTS `ship_test_params_dict`;
CREATE TABLE `ship_test_params_dict`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `remark` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '备注',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名称',
  `sort` int(255) NULL DEFAULT NULL COMMENT '排序',
  `del_flag` int(255) NULL DEFAULT 0 COMMENT '删除状态(0-正常，1-已删除)',
  `create_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '更新时间',
  `params_id` int(11) NULL DEFAULT NULL COMMENT '参数ID',
  `cql` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT 'cql过滤条件',
  `active` int(255) NULL DEFAULT 0 COMMENT '默认激活(0-激活，1-未激活)',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `source_id`(`params_id`) USING BTREE,
  CONSTRAINT `ship_test_params_dict_ibfk_1` FOREIGN KEY (`params_id`) REFERENCES `ship_test_params` (`id`) ON DELETE SET NULL ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 37 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '船舶轨迹测试数据源-参数配置_字典值' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for ship_test_source
-- ----------------------------
DROP TABLE IF EXISTS `ship_test_source`;
CREATE TABLE `ship_test_source`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `remark` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '备注',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名称',
  `sort` int(255) NULL DEFAULT NULL COMMENT '排序',
  `del_flag` int(255) NULL DEFAULT 0 COMMENT '删除状态(0-正常，1-已删除)',
  `create_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '更新时间',
  `tile_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '瓦片地图地址',
  `tile_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '瓦片地图图层名称',
  `ws_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'websocker地址',
  `ws_data_flag` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'websocker返回数据标识',
  `history_ws_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '历史轨迹websocket地址',
  `history_ws_data_flag` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '历史轨迹websocket返回数据标识',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 29 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '船舶轨迹测试数据源' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for ship_test_track
-- ----------------------------
DROP TABLE IF EXISTS `ship_test_track`;
CREATE TABLE `ship_test_track`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `create_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '更新时间',
  `source_id` int(11) NULL DEFAULT NULL COMMENT '数据源ID',
  `track_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '轨迹唯一标识',
  `track_point_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '轨迹点唯一标识',
  `track_wkt_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '轨迹点wkt坐标标识',
  `track_speed_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '轨迹点速度标识',
  `track_course_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '轨迹点航向标识',
  `track_head_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '轨迹点船艏向标识',
  `history_track_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '历史轨迹唯一标识',
  `history_track_point_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '历史轨迹点唯一标识',
  `history_track_wkt_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '历史轨迹点wkt坐标标识',
  `history_track_speed_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '历史轨迹点速度标识',
  `history_track_course_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '历史轨迹点航向标识',
  `history_track_head_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '历史轨迹点船艏向标识',
  `del_flag` int(255) NULL DEFAULT 0 COMMENT '删除状态(0-正常，1-已删除)',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `source_id`(`source_id`) USING BTREE,
  CONSTRAINT `ship_test_track_ibfk_1` FOREIGN KEY (`source_id`) REFERENCES `ship_test_source` (`id`) ON DELETE SET NULL ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 34 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '船舶轨迹测试数据源-参数配置' ROW_FORMAT = DYNAMIC;

SET FOREIGN_KEY_CHECKS = 1;
